import {getEventParam} from "../../../../utils/utils";

Component({
    properties: {},
    data: {
        message: '',
    },
    methods: {
        changeMessage(e) {
            this.setData({
                message: getEventParam(e)
            })
        },
        reply(e) {
            this.triggerEvent("message", {msg: this.data.message});
        },
        clear() {
            this.setData({
                message: ""
            })
        }
    }
});
