import Api from "../../model/api";
import {getDataSet} from "../../utils/utils";
import {examTypes} from "../../model/enum";
import Route from "../../model/route";

const app = getApp();

app.Base({
    data: {
        type: examTypes.QUESTION
    },
    toExam(e) {
        let item = getDataSet(e, "item");
        Route.toQuestionDetail(item.questionnaire.id, item.teamId, item.courseId, item.id, item.eduStuId)
    },
    async requestData() {
        let res = await Api.getQuestionList({
            pageNum: this.pageNum,
            pageSize: this.pageSize
        });
        return res;
    },
});
