import Api from "../../model/api";
import {getDataSet} from "../../utils/utils";
import Route from "../../model/route";

Page({
    data: {
        list: [],
        teamId: ''
    },
    onLoad: async function (options) {
        let teamId = options.teamId;
        this.data.teamId = teamId;
        let res = await Api.getBook({
            teamId: this.data.teamId
        }, true);
        this.setData({
            list: res.rows, teamId
        })
    },
    click(e) {
        let index = getDataSet(e, "index");
        Route.toStudentBook(this.data.teamId, index);
    }
});
