const liveStatus = {
    "NOLIVE": 0,
    "LIVING": 1,
    "LIVEEND": 2,
}

const logicStatus = {
    "NO": 0,
    "YES": 1,
}

const formTypes = {
    "NEEDS": "发布培训需求",
    "HOT": "发布热点难点",
    "TYPICAL": "发布选树典型",
    "DYNAMIC": "发布动态",
}

const cardTypes = {
    "NUMBER_STYLE": 0,
    "TEXT_STYLE": 1,
}

const courseStatus = {
    "NO_START": 0,
    "START": 1,
    "COMPLETE": 2,
}

const examTypes = {
    "EXAM": 0,
    "QUESTION": 1,
}

const examCategorys = {
    0: '随堂问卷',
    1: '调查问卷',
    2: '综合问卷',
}

const classStatus = {
    "NO_START": 0,
    "RUNNING": 1,
    "HISTORY": 2,
    "MY_HISTORY": 3,
}

const uploadResTypes = {
    "IMAGE": 1,
    "VIDEO": 2,
}

const questionTypes = {
    "SINGLE": 0,
    "MULTIPLE": 1,
    "WRITE": 2,
}

const questionTypeTexts = {
    0: '单选',
    1: '多选',
    2: '简答',
}

const htmlTypes = {
    "BANNER": 0,
    "NEWS": 1,
    "COURSE": 2,
    "HELP": 3,
    "SEAT": 4,
}

const scoreLogics = {
    "PLUS": 0,
    "REDUCE": 1,
}

const studentTypes = {
    "NONE": -1,
    "COMMUNITY_WORKER": 0,
    "OTHER": 1,
    "STREET_WORK": 2,
    "NATIONAL_TRAINING": 3,
}


const checkStatus = {
    "SIGNEDIN": 1,
    "DEFAULT": 2,
    "LATE": 3,
    "LEAVE": 4,
    "ABSENTEEISM": 5,
}

const communityDetailTypes = {
    "COMMUNITY": 0,
    "CLASS": 1,
}

const videoTypes = {
    "COMMON": 0,
    "SCORE": 1
}

const weekTypes = {
    1: '周一',
    2: '周二',
    3: '周三',
    4: '周四',
    5: '周五',
    6: '周六',
    0: '周日',
}

const sexTexts = {
    0: "男",
    1: "女",
    2: "未知",
};


const verifyTypes = {
    "CHECK_IN": 0,
    "REPORT": 1,
}

const courseTypes = {
    "BASE": 1,
    "OFFLINE": 2,
    "RECORD": 3,
    "LIVE": 11,
    "PLAYBACK": 12,

}

const courseTypeTexts = {
    1: "基地课",
    2: "线下课程",
    3: "录播课",
    11: '直播课',
    12: '直播回放',
}

const liveSources = {
    "DEFAULT": 0,
    "GUEST": 1,
}

const courseProcess = {
    "NO_BEGIGN": 0,
    "END": 1,
    "COMPLETE": 2,
}

export {
    liveStatus, logicStatus, formTypes, cardTypes, courseStatus, examTypes, classStatus, uploadResTypes,
    examCategorys, questionTypes, questionTypeTexts, htmlTypes, scoreLogics, studentTypes, checkStatus,
    communityDetailTypes, videoTypes, weekTypes, sexTexts, verifyTypes, courseTypes, courseTypeTexts,
    liveSources, courseProcess
}
