import Config from "../../model/config";
import Api from "../../model/api";

Page({
    data: {
        info: {},
        miniProgram: {},
        version: 0,
    },
    async onLoad(options) {
        const res = await Api.getHelpInfo(Config.APP_ID, true)
        const accountInfo = wx.getAccountInfoSync();

        this.setData({
            info: res.data,
            miniProgram: accountInfo.miniProgram,
            version: Config.VERSION_CODE,
        })
    },

})
